Name:		git-review
Version:	1.16
Release:	1%{?dist}
Summary:	A git helper for integration with Gerrit

Group:		Development/Tools
License:	ASL 2.0
URL:		https://github.com/openstack-ci/git-review
# Source URL is https://github.com/openstack-ci/git-review/tarball/{version},
# which produces  Content-Disposition: attachment; filename=XXXXXX.tar.gz.
# But wait! The extracted directory name is different from tarball name.
Source0:	openstack-ci-git-review-1.16-0-gda19131.tar.gz
Source1:	git-review.conf

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

Requires:	git

%description
An extension for source control system git that creates and manages review
requests in the patch management system Gerrit. It replaces the rfc.sh script.

%prep
%setup -q -n openstack-ci-git-review-30855a7

%build
%{__python} setup.py build
sed -i 's/\r//' LICENSE

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/git-review/
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/git-review/

# We do not save ".gitreview" as dot.gitreview because the man page has it too.
# cp .gitreview #{buildroot}/usr/share/doc/dot.gitreview

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/git-review
%{_mandir}/man1/git-review.1.gz
# Our package name is git-review, but setup.py installs with underscore.
#{python_sitelib}/#{name}-#{version}-*.egg-info/
%{python_sitelib}/git_review-%{version}-*.egg-info/
%dir %{_sysconfdir}/git-review/
%config(noreplace) %{_sysconfdir}/git-review/git-review.conf
# License is required in percent-doc according to Packaging:LicensingGuidelines
%doc AUTHORS LICENSE
# How about transforming README.md into HTML or something?
%doc README.md

%changelog
* Wed Apr 11 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.16-1
- Update to upstream 1.16: supports Gerrit 2.3 API (for draft reviews e.g.).

* Tue Apr 10 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.15-1
- Update to upstream 1.15: everything except the big refactor for OSX.

* Tue Feb 7 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.12-2
- Update with Rob Kukura's review comments: drop python_sitelib etc.

* Tue Jan 31 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.12-1
- Use upstream way to disable checking for updates; no more patching

* Wed Jan 18 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.9-4
- Strip CR characters from LICENSE at build time

* Tue Jan 17 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.9-3
- Update for Fedora packaging review

* Mon Jan 9 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.9-2
- Disable checking PyPi by default, add option -P to force it.

* Wed Jan 4 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.9-1

* Fri Dec 30 2011 Pete Zaitcev <zaitcev@redhat.com>
- 1.8-1
- New upstream version
- Build from original upstream tarball, do not repack

* Sat Dec 24 2011 Pete Zaitcev <zaitcev@redhat.com>
- 1.7-1
- Initial spec for Fedora
